Insert Block based on LTScale

Discussion in 'AutoCAD' started by Leonard Johnson, Nov 10, 2004.

  1. How do I insert a block based on the LTScale?
     
    Leonard Johnson, Nov 10, 2004
    #1
  2. dim bscale as double
    dim insertPoint (0 t 2) as double

    bscale = thisdrawing.getvariable("LTSCALE")
    insertpoint(0)=1
    insertpoint(1)=1
    insertpoint(2)=0

    ThisDrawing.ModelSpace.InsertBlock (insertPoint, "TheBlock", bscale, bscale, bscale, 0)
     
    Jorge Jimenez, Nov 10, 2004
    #2
  3. Thanks, but how do i specify the insertion point?
    dim bscale as double
    dim insertPoint (0 t 2) as double

    bscale = thisdrawing.getvariable("LTSCALE")
    insertpoint(0)=1
    insertpoint(1)=1
    insertpoint(2)=0

    ThisDrawing.ModelSpace.InsertBlock (insertPoint, "TheBlock", bscale, bscale, bscale, 0)
     
    Leonard Johnson, Nov 10, 2004
    #3
  4. Dim InsertPoint as variant

    ThisDrawing.Utility.GetPoint InsertPoint, "Insertion point:"

    --
    Saludos, Ing. Jorge Jimenez, SICAD S.A., Costa Rica

    Thanks, but how do i specify the insertion point?
    dim bscale as double
    dim insertPoint (0 t 2) as double

    bscale = thisdrawing.getvariable("LTSCALE")
    insertpoint(0)=1
    insertpoint(1)=1
    insertpoint(2)=0

    ThisDrawing.ModelSpace.InsertBlock (insertPoint, "TheBlock", bscale, bscale, bscale, 0)
     
    Jorge Jimenez, Nov 11, 2004
    #4
  5. Leonard Johnson

    ajtruckle Guest

    I understand fromt he samples shown and the online documentation how to create a block def and annd an instance of it in the drawing.

    But what if the block is already defined? how can you test if the block of a given name is already defined and thus you want to re-define it?

    Andrew
     
    ajtruckle, Nov 11, 2004
    #5
  6. Leonard Johnson

    ajtruckle Guest

    ajtruckle, Nov 11, 2004
    #6
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.